public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
From: Jiri Olsa <jolsa@kernel.org>
To: Arnaldo Carvalho de Melo <acme@kernel.org>
Cc: Borislav Petkov <bp@suse.de>,
	Brian Norris <computersforpeace@gmail.com>,
	David Ahern <dsahern@gmail.com>,
	David Howells <dhowells@redhat.com>,
	Ingo Molnar <mingo@kernel.org>, Michal Marek <mmarek@suse.cz>,
	Namhyung Kim <namhyung@kernel.org>,
	Paul Mackerras <paulus@samba.org>,
	Peter Zijlstra <a.p.zijlstra@chello.nl>,
	Sam Ravnborg <sam@ravnborg.org>,
	linux-kbuild@vger.kernel.org, lkml <linux-kernel@vger.kernel.org>
Subject: [PATCH 3/3] perf tests: Add build tests for building perf from kernel source root and tools
Date: Sat, 18 Apr 2015 22:34:40 +0200	[thread overview]
Message-ID: <1429389280-18720-4-git-send-email-jolsa@kernel.org> (raw)
In-Reply-To: <1429389280-18720-1-git-send-email-jolsa@kernel.org>

Adding build tests for following make commands:
  $ make -C <kernelsrc> tools/perf
  $ make -C <kernelsrc>/tools perf

Link: http://lkml.kernel.org/n/tip-8mz4fits682bac4shmejjhw0@git.kernel.org
Signed-off-by: Jiri Olsa <jolsa@kernel.org>
---
 tools/perf/tests/make | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index bff85324f799..901ec9191359 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -223,7 +223,19 @@ tarpkg:
 	echo "- $@: $$cmd" && echo $$cmd > $@ && \
 	( eval $$cmd ) >> $@ 2>&1
 
-all: $(run) $(run_O) tarpkg
+make_kernelsrc:
+	@echo " - make -C <kernelsrc> tools/perf"
+	$(call clean); \
+	(make -C ../.. tools/perf) > $@ 2>&1 && \
+	test -x perf && rm -f $@ || (cat $@ ; false)
+
+make_kernelsrc_tools:
+	@echo " - make -C <kernelsrc>/tools perf"
+	$(call clean); \
+	(make -C ../../tools perf) > $@ 2>&1 && \
+	test -x perf && rm -f $@ || (cat $@ ; false)
+
+all: $(run) $(run_O) tarpkg make_kernelsrc make_kernelsrc_tools
 	@echo OK
 
 out: $(run_O)
-- 
1.9.3


  parent reply	other threads:[~2015-04-18 20:35 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-04-18 20:34 [PATCH 0/3] tools build: Fix tools Makefile Jiri Olsa
2015-04-18 20:34 ` [PATCH 1/3] tools build: No need to make libapi for perf explicitly Jiri Olsa
2015-04-20 20:12   ` Arnaldo Carvalho de Melo
2015-05-06  2:56   ` [tip:perf/core] " tip-bot for Jiri Olsa
2015-04-18 20:34 ` [PATCH 2/3] tools build: Fix Makefile(s) to properly invoke tools build Jiri Olsa
2015-05-06  2:56   ` [tip:perf/core] " tip-bot for Jiri Olsa
2015-04-18 20:34 ` Jiri Olsa [this message]
2015-05-06  2:56   ` [tip:perf/core] perf tests: Add build tests for building perf from kernel source root and tools tip-bot for Jiri Olsa

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1429389280-18720-4-git-send-email-jolsa@kernel.org \
    --to=jolsa@kernel.org \
    --cc=a.p.zijlstra@chello.nl \
    --cc=acme@kernel.org \
    --cc=bp@suse.de \
    --cc=computersforpeace@gmail.com \
    --cc=dhowells@redhat.com \
    --cc=dsahern@gmail.com \
    --cc=linux-kbuild@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mingo@kernel.org \
    --cc=mmarek@suse.cz \
    --cc=namhyung@kernel.org \
    --cc=paulus@samba.org \
    --cc=sam@ravnborg.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox